gi-gio-2.0.35: Gio bindings

Copyright | Will Thompson and Iñaki García Etxebarria
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | Safe-Inferred
Language | Haskell2010

GI.Gio.Objects.EmblemedIcon

Contents

- Exported types
- Methods
  - addEmblem
  - clearEmblems
  - getEmblems
  - getIcon
  - new
- Properties
  - gicon

Description

`GEmblemedIcon` is an implementation of `Icon` that supports adding an emblem to an icon. Adding multiple emblems to an icon is ensured via `emblemedIconAddEmblem`.

Note that `GEmblemedIcon` allows no control over the position of the emblems. See also `Emblem` for more information.

Synopsis

- newtype EmblemedIcon = EmblemedIcon (ManagedPtr EmblemedIcon)
- class (GObject o, IsDescendantOf EmblemedIcon o) => IsEmblemedIcon o
- toEmblemedIcon :: (MonadIO m, IsEmblemedIcon o) => o -> m EmblemedIcon
- emblemedIconAddEmblem :: (HasCallStack, MonadIO m, IsEmblemedIcon a, IsEmblem b) => a -> b -> m ()
- emblemedIconClearEmblems :: (HasCallStack, MonadIO m, IsEmblemedIcon a) => a -> m ()
- emblemedIconGetEmblems :: (HasCallStack, MonadIO m, IsEmblemedIcon a) => a -> m [Emblem]
- emblemedIconGetIcon :: (HasCallStack, MonadIO m, IsEmblemedIcon a) => a -> m Icon
- emblemedIconNew :: (HasCallStack, MonadIO m, IsIcon a, IsEmblem b) => a -> Maybe b -> m EmblemedIcon
- constructEmblemedIconGicon :: (IsEmblemedIcon o, MonadIO m, IsIcon a) => a -> m (GValueConstruct o)
- getEmblemedIconGicon :: (MonadIO m, IsEmblemedIcon o) => o -> m (Maybe Icon)

# Exported types

newtype EmblemedIcon Source #

Memory-managed wrapper type.

Constructors

EmblemedIcon (ManagedPtr EmblemedIcon) |

#### Instances

Instances details

Eq EmblemedIcon Source # |
Instance details Defined in GI.Gio.Objects.EmblemedIcon Methods (==) :: EmblemedIcon -> EmblemedIcon -> Bool Source # (/=) :: EmblemedIcon -> EmblemedIcon -> Bool Source #
GObject EmblemedIcon Source # |
Instance details Defined in GI.Gio.Objects.EmblemedIcon
ManagedPtrNewtype EmblemedIcon Source # |
Instance details Defined in GI.Gio.Objects.EmblemedIcon Methods toManagedPtr :: EmblemedIcon -> ManagedPtr EmblemedIcon Source #
TypedObject EmblemedIcon Source # |
Instance details Defined in GI.Gio.Objects.EmblemedIcon Methods glibType :: IO GType Source #
HasParentTypes EmblemedIcon Source # |
Instance details Defined in GI.Gio.Objects.EmblemedIcon
IsGValue (Maybe EmblemedIcon) Source # | Convert `EmblemedIcon` to and from `GValue`. See `toGValue` and `fromGValue`.
Instance details Defined in GI.Gio.Objects.EmblemedIcon Methods gvalueGType_ :: IO GType Source # gvalueSet_ :: Ptr GValue -> Maybe EmblemedIcon -> IO () Source # gvalueGet_ :: Ptr GValue -> IO (Maybe EmblemedIcon) Source #
type ParentTypes EmblemedIcon Source # |
Instance details Defined in GI.Gio.Objects.EmblemedIcon type ParentTypes EmblemedIcon = '[Object, Icon]

class (GObject o, IsDescendantOf EmblemedIcon o) => IsEmblemedIcon o Source #

Type class for types which can be safely cast to `EmblemedIcon`, for instance with `toEmblemedIcon`.

#### Instances

Instances details

(GObject o, IsDescendantOf EmblemedIcon o) => IsEmblemedIcon o Source # |
Instance details Defined in GI.Gio.Objects.EmblemedIcon

toEmblemedIcon :: (MonadIO m, IsEmblemedIcon o) => o -> m EmblemedIcon Source #

Cast to `EmblemedIcon`, for types for which this is known to be safe. For general casts, use `castTo`.

# Methods

### Click to display all available methods, including inherited ones

Expand

#### Methods

addEmblem, bindProperty, bindPropertyFull, clearEmblems, equal, forceFloating, freezeNotify, getv, hash, isFloating, notify, notifyByPspec, ref, refSink, runDispose, serialize, stealData, stealQdata, thawNotify, toString, unref, watchClosure.

#### Getters

getData, getEmblems, getIcon, getProperty, getQdata.

#### Setters

setData, setDataFull, setProperty.

## addEmblem

emblemedIconAddEmblem Source #

Arguments

:: (HasCallStack, MonadIO m, IsEmblemedIcon a, IsEmblem b) |
=> a | `emblemed`: a `EmblemedIcon`
-> b | `emblem`: a `Emblem`
-> m () |

Adds `emblem` to the `List` of `GEmblems`.

Since: 2.18

## clearEmblems

emblemedIconClearEmblems Source #

Arguments

:: (HasCallStack, MonadIO m, IsEmblemedIcon a) |
=> a | `emblemed`: a `EmblemedIcon`
-> m () |

Removes all the emblems from `icon`.

Since: 2.28

## getEmblems

emblemedIconGetEmblems Source #

Arguments

:: (HasCallStack, MonadIO m, IsEmblemedIcon a) |
=> a | `emblemed`: a `EmblemedIcon`
-> m [Emblem] | Returns: a `List` of `GEmblems` that is owned by `emblemed`

Gets the list of emblems for the `icon`.

Since: 2.18

## getIcon

emblemedIconGetIcon Source #

Arguments

:: (HasCallStack, MonadIO m, IsEmblemedIcon a) |
=> a | `emblemed`: a `EmblemedIcon`
-> m Icon | Returns: a `Icon` that is owned by `emblemed`

Gets the main icon for `emblemed`.

Since: 2.18

## new

emblemedIconNew Source #

Arguments

:: (HasCallStack, MonadIO m, IsIcon a, IsEmblem b) |
=> a | `icon`: a `Icon`
-> Maybe b | `emblem`: a `Emblem`, or `Nothing`
-> m EmblemedIcon | Returns: a new `Icon`

Creates a new emblemed icon for `icon` with the emblem `emblem`.

Since: 2.18

# Properties

## gicon

The `Icon` to attach emblems to.

Since: 2.18

constructEmblemedIconGicon :: (IsEmblemedIcon o, MonadIO m, IsIcon a) => a -> m (GValueConstruct o) Source #

Construct a `GValueConstruct` with valid value for the “`gicon`” property. This is rarely needed directly, but it is used by `new`.

getEmblemedIconGicon :: (MonadIO m, IsEmblemedIcon o) => o -> m (Maybe Icon) Source #

Get the value of the “`gicon`” property. When overloading is enabled, this is equivalent to

    get emblemedIcon #gicon